package cn.citycraft.CTZServerBridge;

import org.bukkit.Bukkit;
import org.bukkit.command.ConsoleCommandSender;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

import cn.citycraft.CTZServerBridge.listen.PlayerListen;
import cn.citycraft.CTZServerCommon.CTZAuth;
import cn.citycraft.PluginHelper.config.FileConfig;
import cn.citycraft.PluginHelper.sql.SQLHelper;

public class CTZServerBridge extends JavaPlugin {

	ConsoleCommandSender ccs;
	SQLHelper sql;
	public FileConfig config;

	public SQLHelper getSql() {
		return sql;
	}

	@Override
	public void onDisable() {
		super.onDisable();
	};

	@Override
	public void onEnable() {
		this.initDatabase();
		this.initListener();
	}

	@Override
	public void onLoad() {
		config = new FileConfig(this);
	}

	private void initListener() {
		PluginManager pm = Bukkit.getPluginManager();
		pm.registerEvents(new PlayerListen(this), this);
	}

	/**
	 * 初始化数据库
	 */
	void initDatabase() {
		// 连接数据库用到的一些参数.
		String dbHost = config.getMessage("config.mysql.ip");
		int dbPort = config.getInt("config.mysql.port");
		String dbName = config.getMessage("config.mysql.database");
		String dbuserName = config.getMessage("config.mysql.username");
		String dbpwd = config.getMessage("config.mysql.password");
		CTZAuth.init(sql, dbHost, dbPort, dbName, dbuserName, dbpwd);
	}
}
